<script type="text/javascript">
	$(document).ready(function() {
		// ---------------------------------------------------------------------------------------- //
		// select 2
		// ---------------------------------------------------------------------------------------- //
		$('.select2-single').select2();
		// ---------------------------------------------------------------------------------------- //

		// ---------------------------------------------------------------------------------------- //
		// datepicker
		// ---------------------------------------------------------------------------------------- //
		$('.datepicker').datetimepicker({
			format: 'YYYY-MM-DD'
		});

		$('.datetimepicker').datetimepicker({
			format: 'YYYY-MM-DD HH:mm:ss'
		});
		// ---------------------------------------------------------------------------------------- //

		// ---------------------------------------------------------------------------------------- //
		let uri = '<?= site_url($this->uri->uri_string()) ?>';

		$('[href="' + uri + '"]').closest('li.sidenav-item').addClass('active');
		// ---------------------------------------------------------------------------------------- //
	});
</script>